Quassel IRC - Bug #977

mIRC "reverse" formatting code is not implemented
05/27/2010 12:40 AM - flamingspinach

Status: Confirmed Start date: 05/27/2010
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.3.0.x 0S: Windows
Description

| searched for any issue that might discuss this, but | can't find one, so I'm reporting it, although | know the developers probably know
if it already. Just to keep track of (I presume?) TODO stuff.

The mIRC "reverse" formatting code is not actually implemented in Quassel currently. "%R" seems to be designated as a
FormatCode for "Reverse" in /src/uisupport/uistyle.cpp , but it doesn't play well with mIRC's implementation of reversed colors, if it is
implemented at all (sorry, | was not able to immediately find where in the source formatting is actually handled). Attached are two
screenshots of the same line in mIRC and in Quassel, showing the problem.

For reference, mIRC's control code for Reverse is 0x16, which is accounted for in /src/uisupport/uistyle.cpp , so | guess the problem
is just that displaying it is not implemented.

Marking this as "High priority" because the Ul gives no indication that mIRC colors support is incomplete, and reversed text is
arguably part of mIRC colors.

History

#1 - 05/27/2010 02:13 AM - flamingspinach
- File 1104278827.png added
- File 1104278122.png added

By the way, it seems that X-Chat implements reverse formatting differently from mIRC. mIRC seems to define "reverse" formatting as having default
foreground color set as background color, and vice versa. X-Chat seems to define it as having whatever foreground and background colors are
currently defined, if any, swapped. If the "reverse" FormatCode is implemented in Quassel, devs will have to choose one of these interpretations, |
guess. Attached are screenshots of both. Incidentally | prefer X-Chat's interpretation since it seems to make more sense, but | guess if you want
better accuracy to mIRC's "standards"...

#2 - 07/10/2010 03:00 PM - Sputnick

- Status changed from New to Confirmed
- Assignee set to Sputnick

- Priority changed from High to Normal

- Version changed from 0.6-pre to 0.3.0.x

Indeed, we never implemented reverse formatting. IIRC mostly because it's slightly annoying to teach that to the layout engine... So far noone has
complained :)

I'll have a look into that at some point, | guess.
05-27-2010_06-32-44.png 23.6 KB 05/26/2010 flamingspinach
05-27-2010_06-33-02.png 31.3KB 05/26/2010 flamingspinach
1104278827.png 25.5 KB 05/27/2010 flamingspinach
1104278122.png 20.7 KB 05/27/2010 flamingspinach

07/02/2025 1/1



http://www.tcpdf.org

